package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 企微违禁消息对象 qw_forbidden_massage
 *
 * @author fs
 * @date 2023-11-22
 */
public class QwForbiddenMessage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 消息id */
    @Excel(name = "消息id")
    private Long messageId;

    /** 会话id */
    @Excel(name = "会话id")
    private String conversationId;

    /** 消息体 */
    @Excel(name = "消息体")
    private String content;

    /** 员工id */
    @Excel(name = "员工id")
    private Long companyUserId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    @Excel(name="账号")
    private String account;

    private Long sendTime;

    private Long wordId;

    public Long getWordId() {
        return wordId;
    }

    public void setWordId(Long wordId) {
        this.wordId = wordId;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setMessageId(Long messageId)
    {
        this.messageId = messageId;
    }

    public Long getMessageId()
    {
        return messageId;
    }
    public void setConversationId(String conversationId)
    {
        this.conversationId = conversationId;
    }

    public String getConversationId()
    {
        return conversationId;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setCompanyUserId(Long companyUserId)
    {
        this.companyUserId = companyUserId;
    }

    public Long getCompanyUserId()
    {
        return companyUserId;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public Long getSendTime() {
        return sendTime;
    }

    public void setSendTime(Long sendTime) {
        this.sendTime = sendTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("messageId", getMessageId())
                .append("conversationId", getConversationId())
                .append("content", getContent())
                .append("companyUserId", getCompanyUserId())
                .append("companyId", getCompanyId())
                .append("createTime", getCreateTime())
                .append("account", getAccount())
                .append("sendTime", getSendTime())
                .append("wordId", getWordId())
                .toString();
    }
}
